usb_endpoint_dir_in
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_dir_in — check if the endpoint has IN direction

## Synopsis

`int usb_endpoint_dir_in (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns true if the endpoint is of type IN, otherwise it returns false.

Prev | Up | Next
usb_endpoint_type | Home | usb_endpoint_dir_out